<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'leaderboard_ad',

    /*
     * Modules.
     */
    'modules'   => ['leaderboard_ad'],

    
    'leaderboard_ad'       => [
        'model' => [
            'model' => \Litecms\LeaderboardAd\Models\LeaderboardAd::class,
            'repository' => \Litecms\LeaderboardAd\Repositories\Eloquent\LeaderboardAdRepository::class,
            'table' => 'leaderboard_ads',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['title',  'url',  'banner',  'status'],
            'translatables' => [],
            'upload_folder' => 'leaderboard_ad/leaderboard_ad',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'LeaderboardAd',
            'module' => 'LeaderboardAd',
        ],
    ],
];
