<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeaderboardAdsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leaderboard_ads
         */
        Schema::create('leaderboard_ads', function ($table) {
            $table->increments('id');
            $table->string('title', 65)->nullable();
            $table->text('url')->nullable();
            $table->json('banner')->nullable();
            $table->tinyInteger('status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leaderboard_ads');
    }
}
