<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for leaderboard_ad in leaderboard_ad package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  leaderboard_ad module in leaderboard_ad package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'LeaderboardAd',
    'names' => 'LeaderboardAds',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'LeaderboardAds',
        'sub' => 'LeaderboardAds'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'title'                      => 'Enter leaderboard ad title',
        'url'                        => '',
        'banner'                     => '',
        'status'                     => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'title'                      => 'Title',
        'url'                        => 'URL',
        'banner'                     => 'Banner',
        'status'                     => 'Status',
    ],
];
